body,
.navbar-inverse {
    background-color: #222;
}


.bg-white{
    background-color: #fff;
}

.nav>li>a {
    color: #fff;
}

.nav>li>a:hover {
    color: #337ab7;
}

.sidebar .nav>li.active>a {
    color: #337ab7;
    background-color: #e1e1e1;
}

.scroll-to-top {
    position: fixed;
    right: 15px;
    bottom: 3px;
    display: none;
    width: 50px;
    height: 50px;
    text-align: center;
    color: white;
    background: rgba(52, 58, 64, 0.5);
    line-height: 45px;
}

.scroll-to-top:focus,
.scroll-to-top:hover {
    color: white;
}

.scroll-to-top:hover {
    background: #343a40;
}

.scroll-to-top i {
    font-weight: 800;
}

#wrapper {
    width: 100%;
    height: 100%;
}

#btn-nav-toggle{
    color: #fff;
}

#page-wrapper {
    padding: 0 15px;
    min-height: 100vh;
    background-color: white;
}

@media (min-width: 768px) {
    #page-wrapper {
        position: inherit;
        margin: 0 0 0 250px;
        padding: 0 30px;
        border-left: 1px solid #e7e7e7;
    }
}

@media (max-width: 768px) {
    #page-wrapper {
        margin: 0;
    }
}

@media (max-width: 768px) {
    #btn-nav-toggle{
        display: none;
    }
}

.navbar-top-links {
    margin-right: 0;
}

.navbar-top-links li {
    display: inline-block;
}

.navbar-top-links li:last-child {
    margin-right: 15px;
}

.navbar-top-links li a {
    padding: 15px;
    min-height: 50px;
}

.navbar-top-links .dropdown-menu li {
    display: block;
}

.navbar-top-links .dropdown-menu li:last-child {
    margin-right: 0;
}

.navbar-top-links .dropdown-menu li a {
    padding: 3px 20px;
    min-height: 0;
}

.navbar-top-links .dropdown-menu li a div {
    white-space: normal;
}

.navbar-top-links .dropdown-messages,
.navbar-top-links .dropdown-tasks,
.navbar-top-links .dropdown-alerts {
    width: 310px;
    min-width: 0;
}

.navbar-top-links .dropdown-messages {
    margin-left: 5px;
}

.navbar-top-links .dropdown-tasks {
    margin-left: -59px;
}

.navbar-top-links .dropdown-alerts {
    margin-left: -123px;
}

.navbar-top-links .dropdown-user {
    right: 0;
    left: auto;
}

.sidebar .sidebar-nav.navbar-collapse {
    padding-left: 0;
    padding-right: 0;
}

.sidebar .sidebar-search {
    padding: 15px;
}

.sidebar ul li {
    border-bottom: 1px solid #e7e7e7;
}

.sidebar ul li a.active {
    background-color: #eeeeee;
}

.sidebar .arrow {
    float: right;
}

.sidebar .fa.arrow:before {
    content: "\f104";
}

.sidebar .active>a>.fa.arrow:before {
    content: "\f107";
}

.sidebar .nav-second-level li,
.sidebar .nav-third-level li {
    border-bottom: none !important;
}

.sidebar .nav-second-level li a {
    padding-left: 37px;
}

.sidebar .nav-third-level li a {
    padding-left: 52px;
}

@media (min-width: 768px) {
    .sidebar {
        z-index: 1;
        position: absolute;
        width: 250px;
        margin-top: 51px;
    }
    .navbar-top-links .dropdown-messages,
    .navbar-top-links .dropdown-tasks,
    .navbar-top-links .dropdown-alerts {
        margin-left: auto;
    }
}

.btn-outline {
    color: inherit;
    background-color: transparent;
    transition: all .5s;
}

.btn-primary.btn-outline {
    color: #428bca;
}

.btn-success.btn-outline {
    color: #5cb85c;
}

.btn-info.btn-outline {
    color: #5bc0de;
}

.btn-warning.btn-outline {
    color: #f0ad4e;
}

.btn-danger.btn-outline {
    color: #d9534f;
}

.btn-primary.btn-outline:hover,
.btn-success.btn-outline:hover,
.btn-info.btn-outline:hover,
.btn-warning.btn-outline:hover,
.btn-danger.btn-outline:hover {
    color: white;
}

.chat {
    margin: 0;
    padding: 0;
    list-style: none;
}

.chat li {
    margin-bottom: 10px;
    padding-bottom: 5px;
    border-bottom: 1px dotted #999999;
}

.chat li.left .chat-body {
    margin-left: 60px;
}

.chat li.right .chat-body {
    margin-right: 60px;
}

.chat li .chat-body p {
    margin: 0;
}

.panel .slidedown .glyphicon,
.chat .glyphicon {
    margin-right: 5px;
}

.chat-panel .panel-body {
    height: 350px;
    overflow-y: scroll;
}

.login-panel {
    margin-top: 25%;
}

.flot-chart {
    display: block;
    height: 400px;
}

.flot-chart-content {
    width: 100%;
    height: 100%;
}

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc_disabled,
table.dataTable thead .sorting_desc_disabled {
    background: transparent;
}

table.dataTable thead .sorting_asc:after {
    content: "\f0de";
    float: right;
    font-family: fontawesome;
}

table.dataTable thead .sorting_desc:after {
    content: "\f0dd";
    float: right;
    font-family: fontawesome;
}

table.dataTable thead .sorting:after {
    content: "\f0dc";
    float: right;
    font-family: fontawesome;
    color: rgba(50, 50, 50, 0.5);
}

.btn-circle {
    width: 30px;
    height: 30px;
    padding: 6px 0;
    border-radius: 15px;
    text-align: center;
    font-size: 12px;
    line-height: 1.428571429;
}

.btn-circle.btn-lg {
    width: 50px;
    height: 50px;
    padding: 10px 16px;
    border-radius: 25px;
    font-size: 18px;
    line-height: 1.33;
}

.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    border-radius: 35px;
    font-size: 24px;
    line-height: 1.33;
}

.show-grid [class^="col-"] {
    padding-top: 10px;
    padding-bottom: 10px;
    border: 1px solid #ddd;
    background-color: #eee !important;
}

.show-grid {
    margin: 15px 0;
}

.huge {
    font-size: 40px;
}

/**/
 
.panel-sky-blue{
    border-color: #3399ff;
}

.panel-sky-blue>.panel-heading {
    border-color: #3399ff;
    color: white;
    background-color: #3399ff;
}

.panel-sky-blue>a {
    color: #3399ff;
}

.panel-sky-blue>a:hover {
    color: #3399ff;
}

/**/

.panel-bule-violet{
    border-color: #8A2BE2;
}

.panel-bule-violet>.panel-heading {
    border-color: #8A2BE2;
    color: white;
    background-color: #8A2BE2;
}

.panel-bule-violet>a {
    color: #8A2BE2;
}

.panel-bule-violet>a:hover {
    color: #8A2BE2;
}
/*--*/

.panel-green {
    border-color: #5cb85c;
}

.panel-green>.panel-heading {
    border-color: #5cb85c;
    color: white;
    background-color: #5cb85c;
}

.panel-green>a {
    color: #5cb85c;
}

.panel-green>a:hover {
    color: #3d8b3d;
}

.panel-red {
    border-color: #d9534f;
}

.panel-red>.panel-heading {
    border-color: #d9534f;
    color: white;
    background-color: #d9534f;
}

.panel-red>a {
    color: #d9534f;
}

.panel-red>a:hover {
    color: #b52b27;
}

.panel-yellow {
    border-color: #f0ad4e;
}

.panel-yellow>.panel-heading {
    border-color: #f0ad4e;
    color: white;
    background-color: #f0ad4e;
}

.panel-yellow>a {
    color: #f0ad4e;
}

.panel-yellow>a:hover {
    color: #df8a13;
}

.timeline {
    position: relative;
    padding: 20px 0 20px;
    list-style: none;
}

.timeline:before {
    content: " ";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 50%;
    width: 3px;
    margin-left: -1.5px;
    background-color: #eeeeee;
}

.timeline>li {
    position: relative;
    margin-bottom: 20px;
}

.timeline>li:before,
.timeline>li:after {
    content: " ";
    display: table;
}

.timeline>li:after {
    clear: both;
}

.timeline>li:before,
.timeline>li:after {
    content: " ";
    display: table;
}

.timeline>li:after {
    clear: both;
}

.timeline>li>.timeline-panel {
    float: left;
    position: relative;
    width: 46%;
    padding: 20px;
    border: 1px solid #d4d4d4;
    border-radius: 2px;
    -webkit-box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.175);
}

.timeline>li>.timeline-panel:before {
    content: " ";
    display: inline-block;
    position: absolute;
    top: 26px;
    right: -15px;
    border-top: 15px solid transparent;
    border-right: 0 solid #ccc;
    border-bottom: 15px solid transparent;
    border-left: 15px solid #ccc;
}

.timeline>li>.timeline-panel:after {
    content: " ";
    display: inline-block;
    position: absolute;
    top: 27px;
    right: -14px;
    border-top: 14px solid transparent;
    border-right: 0 solid #fff;
    border-bottom: 14px solid transparent;
    border-left: 14px solid #fff;
}

.timeline>li>.timeline-badge {
    z-index: 100;
    position: absolute;
    top: 16px;
    left: 50%;
    width: 50px;
    height: 50px;
    margin-left: -25px;
    border-radius: 50% 50% 50% 50%;
    text-align: center;
    font-size: 1.4em;
    line-height: 50px;
    color: #fff;
    background-color: #999999;
}

.timeline>li.timeline-inverted>.timeline-panel {
    float: right;
}

.timeline>li.timeline-inverted>.timeline-panel:before {
    right: auto;
    left: -15px;
    border-right-width: 15px;
    border-left-width: 0;
}

.timeline>li.timeline-inverted>.timeline-panel:after {
    right: auto;
    left: -14px;
    border-right-width: 14px;
    border-left-width: 0;
}

.timeline-badge.primary {
    background-color: #2e6da4 !important;
}

.timeline-badge.success {
    background-color: #3f903f !important;
}

.timeline-badge.warning {
    background-color: #f0ad4e !important;
}

.timeline-badge.danger {
    background-color: #d9534f !important;
}

.timeline-badge.info {
    background-color: #5bc0de !important;
}

.timeline-title {
    margin-top: 0;
    color: inherit;
}

.timeline-body>p,
.timeline-body>ul {
    margin-bottom: 0;
}

.timeline-body>p+p {
    margin-top: 5px;
}

@media (max-width: 767px) {
    ul.timeline:before {
        left: 40px;
    }
    ul.timeline>li>.timeline-panel {
        width: calc(80%);
        width: -moz-calc(80%);
        width: -webkit-calc(80%);
    }
    ul.timeline>li>.timeline-badge {
        top: 16px;
        left: 15px;
        margin-left: 0;
    }
    ul.timeline>li>.timeline-panel {
        float: right;
    }
    ul.timeline>li>.timeline-panel:before {
        right: auto;
        left: -15px;
        border-right-width: 15px;
        border-left-width: 0;
    }
    ul.timeline>li>.timeline-panel:after {
        right: auto;
        left: -14px;
        border-right-width: 14px;
        border-left-width: 0;
    }
}


.table-datatable>thead>tr>th,
.table-datatable {
    border-bottom: 1px solid #000!important;
}



ul.nav.nav-tabs {
    margin-bottom: 0;
    border-bottom: 0;
}

ul.nav.nav-tabs li a {
    color: #205081;
    font-size: 1.1em;
}

ul.nav.nav-tabs li.active a {
    color: #444;
}


.nav.nav-tabs>li.active>a {
    border-radius: 0;
    border-top: 3px solid #205081;
}

ul.nav.nav-tabs.nav-stacked li.active a{
    color: #000;
    font-weight: bold;
    background-color: #c2d1f0;
    border-top: 0;
    border-right: 3px solid #205081;
}

ul.nav.nav-tabs.nav-stacked{
    border: 1px solid #dddd;
    padding-right: 0;
}

ul.nav.nav-tabs.nav-stacked>li{
    width: 100%;
}

ul.nav.nav-tabs.nav-stacked>li>a{
    margin-right: 0;
}

.tab-content {
    border: 1px solid #ddd
}


.tab-content.col-md-10{
    min-height: 130px;
}

.font-bold {
    font-weight: bold;
}

table.table {
    margin-bottom: 0;
}

.page-header.h3 {
    font-weight: 350;
}

.tab-pane {
    padding: 1em;
}




.table-borderless>tbody>tr>td,
.table-borderless>tbody>tr>th,
.table-borderless>tfoot>tr>td,
.table-borderless>tfoot>tr>th,
.table-borderless>thead>tr>td,
.table-borderless>thead>tr>th {
    border: none;
}

.table-4-seamer td.td,
.table-4-seamer th.th {
    width: 25%;
}

.no-margin {
    margin: 0!important;
}


.page-header.h3 {
    margin-bottom: 2em;
    margin-top: 2.5em;
    color: #777;
}


.float-right {
    float: right!important;
}

.float-left {
    float: left!important;
}

.crms-default {
    color: #444;
    line-height: 1.42857143;
    border: 1px solid transparent;
    position: relative;
    display: block;
    padding: 7px 30px;
}

.crms-red {
    background-color: #f00;
    color: #fff;
}

.tab-content > .tab-pane1{
    /*display: none;*/
    padding: 1em;
}

.dataTables_filter input[type='search']{
    border-radius: 0;
}

.pagecount.badge{
    float: right;
    background-color: #999!important;
    color: #fff!important;
    font-weight: bolder;
    border-radius: 0!important;
    padding: .4em 1.2em;
}

.slim-margin{
    margin: 0;
    margin-bottom: 5px;
}


div.row>div.col-lg-12>div.page-header{
    margin-top: 10px;
}


select.form-control.no-rads{
    -webkit-border-radius: 0px!important;
    -webkit-appearance: none; 
    background-image: url("/assets/images/controls/select.svg"); 
    background-position: 100% 50%; 
    background-repeat: no-repeat;
}


.dataTables_wrapper select.form-control{
    -webkit-border-radius: 0px!important;
    -webkit-appearance: none;
    width: 70px!important; 
    background-image: url("/assets/images/controls/select.svg"); 
    background-position: 100% 50%; 
    background-repeat: no-repeat;
    text-align: center;
    line-height: 1.7em;
}


input, input.form-control{
  /*width: 86%;*/
  padding: 7px 7px;
  border: #c1c1c1 solid 1px!important;
  height: 40px;
  background: #fff;
  box-shadow: none!important;
}

select, select.form-control {
  /*width: 28%;*/
  height: 40px;
  padding: 0 1em;
  background: #fff;
  border: #c1c1c1 solid 1px;
}


.form-cover{
    min-height: 55vh; 
    border-left: 10px solid #2196F3; 
    padding-top: 2em; 
    background: #e6f2ff;
}


input[type="checkbox"]{
    height: 20px!important;
}



.btn-dark{
    background-color: #444;
    color: #fff;
    background-image: linear-gradient(to bottom,#555 0,#222 100%);
    background-repeat: repeat-x;
    border-color: #555;
    box-shadow: inset 0 1px 0 rgba(255,255,255,.15), 0 1px 1px rgba(0,0,0,.075);
}

.btn-dark:hover{
    color: #fff;
    background-color: #000;
    background-image: linear-gradient(to bottom,#333 0,#111 100%);
}
